Name: iiwusynth
Version: 0.2.2
Release: alt1

Group: System/Libraries
Summary: Software real-time synthesizer
URL: http://freesoftware.fsf.org/download/iiwusynth
License: GPL

Source: %name-%version.tar.bz2
Patch1: iiwusynth-0.2.2-fix.patch

# Automatically added by buildreq on Tue Sep 17 2002
BuildRequires: ladspa_sdk libalsa2-devel libncurses-devel libreadline-devel

Requires: lib%name = %version-%release

%package -n lib%name
Summary: Development environment for %name
Group: Development/C

%package -n lib%name-devel
Summary: Development environment for %name
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static %name library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
IIWU Synth is a software real-time synthesizer based on the
Soundfont 2 specifications.

The IIWU Synth package actually contains two applications: iiwusynth
and iiwuplay.

iiwusynth reads and handles MIDI events from the MIDI input device. It
is the software analogue of a MIDI synthesizer.

iiwuplay is a midifile player that allows to render a midifile using a
Soundfont.

%description -n lib%name
IIWU Synth is a software real-time synthesizer based on the
Soundfont 2 specifications.

This package contains libraries for %name package

%description -n lib%name-devel
IIWU Synth is a software real-time synthesizer based on the
Soundfont 2 specifications.

This package contains headers and development files for lib%name package

%description -n lib%name-devel-static
IIWU Synth is a software real-time synthesizer based on the
Soundfont 2 specifications.

This package contains static libraries for %name package

%prep
%setup -q
%patch1 -p1

%build
%configure \
	--enable-shared \
	--enable-static \
	--enable-ladspa \
	--enable-oss \
	--enable-alsa \

%make_build

%install
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_bindir/*

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS README THANKS NEWS

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%doc ChangeLog TODO

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.2.2-alt1
- initial spec

